USAGE_RESOURCES(1)

NAME
usage_resources -

DESCRIPTION

Use the Usage Proxy CLI to list Oracle Support Rewards, view related detailed usage information, and manage users who redeem rewards. For more information, see Oracle Support Rewards Overview <https://docs.cloud.oracle.com/iaas/Content/Billing/Concepts/supportrewardsoverview.htm>.

AVAILABLE COMMANDS

•   resource-quotum-summary

•   list-resource-quota

•   resource-summary

•   list-resources

  resource-quotum-summary

  Description

The resource quota balance details.

  Available Commands

•   list-resource-quota

  list-resource-quota

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the resource quota details under a tenancy > Important: Calls to this API will only succeed against the endpoint in the home region.

  Usage

oci usage resources resource-quotum-summary list-resource-quota [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID of the root compartment.

--service-name [text]

    Service Name.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return in the paginated response.

--page [text]

    The value of the ‘opc-next-page’ response header from the previous call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--service-entitlement [text]

    Service entitlement Id.

--sort-by [text]

    The field to sort by. Supports one sort order.

    Accepted values are:

    TIMECREATED, TIMESTART

--sort-order [text]

    The sort order to use, which can be ascending (ASC) or descending (DESC).

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/usage/resources/resource-quotum-summary/list-resource-quota.html#cmdoption-compartment-id
    export service_name=<substitute-value-of-service_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/usage/resources/resource-quotum-summary/list-resource-quota.html#cmdoption-service-name
    oci usage resources resource-quotum-summary list-resource-quota --compartment-id $compartment_id --service-name $service_name

  resource-summary

  Description

The details of a resource under a service.

  Available Commands

•   list-resources

  list-resources

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

  Description

Returns the resource details for a service > Important: Calls to this API will only succeed against the endpoint in the home region.

  Usage

oci usage resources resource-summary list-resources [OPTIONS]

  Required Parameters

--compartment-id, -c [text]

    The OCID of the root compartment.

--service-name [text]

    Service Name.

  Optional Parameters

--all

    Fetches all pages of results. If you provide this option, then you cannot provide the --limit option.

--entitlement-id [text]

    Subscription or entitlement Id.

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--limit [integer]

    The maximum number of items to return in the paginated response.

--page [text]

    The value of the ‘opc-next-page’ response header from the previous call.

--page-size [integer]

    When fetching results, the number of results to fetch per call. Only valid when used with --all or --limit, and ignored otherwise.

--sort-by [text]

    The field to sort by. Supports one sort order.

    Accepted values are:

    TIMECREATED, TIMESTART

--sort-order [text]

    The sort order to use, which can be ascending (ASC) or descending (DESC).

    Accepted values are:

    ASC, DESC

  Global Parameters

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

  Example using required parameter

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export compartment_id=<substitute-value-of-compartment_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/usage/resources/resource-summary/list-resources.html#cmdoption-compartment-id
    export service_name=<substitute-value-of-service_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/usage/resources/resource-summary/list-resources.html#cmdoption-service-name
    oci usage resources resource-summary list-resources --compartment-id $compartment_id --service-name $service_name

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle